#! /bin/bash
# (c) Thomas BERNARD 2013-2017

MANUAL_VOL="EMC_C3"

echo "Sierra Patch for $MANUAL_VOL"
MYDIR=`dirname "$0"`
killall Flip-book

if [ ! -d "/Volumes/$MANUAL_VOL" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Volume $MANUAL_VOL introuvable. Veuillez inserer la clé USB." buttons { "OK" }
end tell
EOT
exit 1
fi

DEST_DIR="/Volumes/$MANUAL_VOL/data/Flipbook.app/Contents"
if [ ! -d "$DEST_DIR" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Viewer introuvable sur la clé $MANUAL_VOL. Veuillez effectuer une restauration." buttons { "OK" }
end tell
EOT
exit 1
fi

d="$DEST_DIR/MacOS"
if [ -f $d/Flip-book_32 ] ; then
	mv $d/Flipbook $d/Flipbook_32
	mv $d/Flip-book $d/Flipbook_64
	cp $d/Flipbook_64 $d/Flipbook
	mv $d/Flip-book_32 $d/Flip-book
	xattr -c $d/*
fi

osascript <<EOT
tell application "Finder"
	activate
	open disk "$MANUAL_VOL"
	do shell script "if [ -f $MYDIR/../Resources/Flip-book.patched ] ; then cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR/MacOS/Flip-book ; fi"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR/Resources/lidy.cfg"
	do shell script "xattr -c $DEST_DIR/MacOS/*"
	display dialog "Patch de la clé $MANUAL_VOL effectué avec succès"
end tell
EOT

